curl --request POST \
--url https://api.x.com/2/tweets/search/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/search/webhooks/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/search/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"provisioned": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}स्ट्रीम लिंक बनाएँ
दिए गए webhook पर FilteredStream इवेंट भेजने के लिए एक लिंक बनाता है।
प्राधिकरण
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
पथ पैरामीटर
आपके FilteredStream ruleset से लिंक करने के लिए webhook ID। इस webhook कॉन्फ़िगरेशन का अद्वितीय पहचानकर्ता।
^[0-9]{1,19}$"1146654567674912769"
क्वेरी पैरामीटर
दिखाने के लिए Tweet फ़ील्ड्स की अल्पविराम से अलग की गई सूची।
विस्तार करने के लिए फ़ील्ड्स की अल्पविराम से अलग की गई सूची।
दिखाने के लिए Media फ़ील्ड्स की अल्पविराम से अलग की गई सूची।
दिखाने के लिए Poll फ़ील्ड्स की अल्पविराम से अलग की गई सूची।
दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची।
दिखाने के लिए Place फ़ील्ड्स की अल्पविराम से अलग की गई सूची।
प्रतिक्रिया
अनुरोध सफल रहा।
Show child attributes
Show child attributes
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes